%define module	Rose-Object
%define	modprefix Rose

%define version	0.85

%define	rel	1
%define release	%mkrel 2

# circular dependency
%define _requires_exceptions perl(Rose::DateTime

Summary:	A simple object base class
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Simple)
BuildArch:	noarch

%description
Rose::Object is a generic object base class. It provides very little
functionality, but a healthy dose of convention.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes
%{_mandir}/man*/*
%{perl_vendorlib}/%{modprefix}



%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.85-2mdv2009.0
+ Revision: 268716
- rebuild early 2009.0 package (before pixel changes)

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.85-1mdv2009.0
+ Revision: 213368
- update to new version 0.85

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 21 2007 Michael Scherer <misc@mandriva.org> 0.84-1mdv2008.0
+ Revision: 29069
- Update to new version 0.84


* Tue Jun 20 2006 Scott Karns <scottk@mandriva.org> 0.81-1mdv2007.0
- Version 0.81

* Fri May 19 2006 Scott Karns <scottk@mandriva.org> 0.80-2mdk
- Added _requires_exceptions to handle circular dependency with
  perl-Rose-DateTime

* Fri May 19 2006 Scott Karns <scottk@mandriva.org> 0.80-1mdk
- Initial MDV release

